1. Tasks
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • createOrUpdateMany
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Post Tasks Create Return
      POST
    • Move tasks to another date
      POST
    • postTasksReattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Get drivers
      GET
    • Create multiple drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Get customers
      GET
    • Create customers
      POST
    • Update customers
      POST
    • Delete customers
      POST
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create multiple vehicles
    • Get vehicles
    • Update multiple vehicles
    • Delete multiple vehicles
  • Zones
    • Zones Elements
    • getZones
    • postZones
    • putZones_id
    • deleteZones_id
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update many forms
    • Delete many forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update many form submissions
    • Delete many form submissions
  1. Tasks

Create tasks

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
POST
/tasks/createMany

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/json

Examples

Responses

🟢200OK
*/*
Successful
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-35.elogii.com/tasks/createMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "items": [
        {
            "type": 1,
            "date": 20251030,
            "pickup": {
                "location": {
                    "type": 2,
                    "address": "193-195 Sloane Street",
                    "addressLine2": "193-195 Sloane Street",
                    "postCode": "SW1X 9QX",
                    "city": "London",
                    "country": "England",
                    "setupDuration": 10,
                    "serviceDuration": 10,
                    "coordinates": [
                        -0.1596676,
                        51.5005214
                    ]
                }
            },
            "location": {
                "type": 2,
                "address": "Apt 4, Thomas Court, 8 Lipton Close, N14 5BY",
                "addressLine2": "8 Lipton Close",
                "postCode": "N14 5BY",
                "city": "London",
                "setupDuration": 10,
                "serviceDuration": 10
            },
            "reference": "test"
        },
        {
            "type": 0,
            "date": 20251030,
            "pickup": {
                "location": {
                    "type": 2,
                    "address": "193-195 Sloane Street",
                    "addressLine2": "193-195 Sloane Street",
                    "postCode": "SW1X 9QX",
                    "city": "London",
                    "country": "England",
                    "setupDuration": 10,
                    "serviceDuration": 10,
                    "coordinates": [
                        -0.1596676,
                        51.5005214
                    ]
                }
            },
            "location": {
                "type": 2,
                "address": "Apt 4, Thomas Court, 8 Lipton Close, N14 5BY",
                "addressLine2": "8 Lipton Close",
                "postCode": "N14 5BY",
                "city": "London",
                "setupDuration": 10,
                "serviceDuration": 10
            },
            "reference": "test2"
        }
    ],
    "returnItems": true
}'
Response Response Example
{
    "result": 2,
    "ids": [
        "69033ec28ed4858946e8157e",
        "69033ec38ed4858946e81583"
    ],
    "errors": [],
    "items": [
        {
            "uid": "T-T7SQBRGF",
            "organization": "63564f85c557c10012661e3e",
            "path": "63564f85c557c10012661e3e",
            "reference": "test2",
            "type": 2,
            "date": 20251030,
            "allowedWeekDays": null,
            "pickup": {
                "location": {
                    "type": 2,
                    "address": "193-195 Sloane Street",
                    "addressLine2": "193-195 Sloane Street",
                    "postCode": "SW1X 9QX",
                    "city": "London",
                    "country": "England",
                    "setupDuration": 10,
                    "serviceDuration": 10,
                    "coordinates": [
                        -0.1596676,
                        51.5005214
                    ]
                },
                "setupDuration": 10,
                "serviceDuration": 10,
                "configuration": {
                    "actions": {
                        "actionList": [],
                        "failedActionList": [
                            {
                                "type": 4,
                                "typeText": "comment",
                                "required": true
                            },
                            {
                                "type": 2,
                                "typeText": "signature",
                                "required": false
                            },
                            {
                                "type": 3,
                                "typeText": "photo",
                                "required": false
                            }
                        ],
                        "identityCode": "1608"
                    }
                },
                "actions": [
                    {
                        "type": 4,
                        "typeText": "comment",
                        "required": true,
                        "state": 0,
                        "issue": true,
                        "uid": "TA-2WGAGZTO"
                    },
                    {
                        "type": 2,
                        "typeText": "signature",
                        "required": false,
                        "state": 0,
                        "issue": true,
                        "uid": "TA-GY1E0K10"
                    },
                    {
                        "type": 3,
                        "typeText": "photo",
                        "required": false,
                        "state": 0,
                        "issue": true,
                        "uid": "TA-CT6DCFB4"
                    }
                ],
                "actuals": {
                    "created": 1761820354,
                    "createdDate": 20251030,
                    "createdISO": "2025-10-30T10:32:34.000Z"
                }
            },
            "location": {
                "type": 2,
                "typeText": "custom",
                "address": "Apt 4, Thomas Court, 8 Lipton Close, N14 5BY",
                "addressLine2": "8 Lipton Close",
                "postCode": "N14 5BY",
                "city": "London",
                "setupDuration": 10,
                "serviceDuration": 10,
                "coordinates": [
                    -0.12352,
                    51.63503
                ],
                "meta": {
                    "geocoding": {
                        "resultTitle": "8 St Thomas Road, London, N14 6AJ, United Kingdom",
                        "ambiguous": true
                    }
                }
            },
            "skills": [],
            "capabilities": [],
            "tags": [],
            "teams": [],
            "teamsExplicit": [],
            "zones": [],
            "assignment": {
                "state": 0
            },
            "configuration": {
                "actions": {
                    "identityCode": 3030,
                    "actionList": [
                        {
                            "type": 8,
                            "typeText": "customFieldsInput",
                            "required": true,
                            "meta": {
                                "customDataFields": [
                                    "Picked up a key",
                                    "Return key"
                                ]
                            }
                        }
                    ],
                    "failedActionList": [
                        {
                            "type": 4,
                            "typeText": "comment",
                            "required": true
                        },
                        {
                            "type": 2,
                            "typeText": "signature",
                            "required": false
                        },
                        {
                            "type": 3,
                            "typeText": "photo",
                            "required": false
                        }
                    ]
                },
                "issues": {
                    "contactSupport": {
                        "usePhone": true
                    },
                    "contactDirect": {
                        "callPickupContact": true,
                        "callDeliveryContact": true
                    },
                    "safePlace": {
                        "instructions": ""
                    },
                    "failTask": {
                        "pickup": true,
                        "delivery": true
                    },
                    "reattempts": {
                        "endOfRoute": true,
                        "timeWindows": true
                    }
                },
                "notifications": {
                    "delivery": {
                        "email": {
                            "scheduled": {
                                "enabled": true
                            },
                            "completed": {
                                "enabled": true
                            }
                        }
                    },
                    "pickup": {
                        "email": {
                            "created": {
                                "enabled": true
                            },
                            "scheduled": {
                                "enabled": true
                            },
                            "pickupFailed": {
                                "enabled": true
                            }
                        }
                    },
                    "depot": {
                        "email": {
                            "scheduled": {
                                "enabled": true
                            },
                            "pickupFailed": {
                                "enabled": true
                            },
                            "failed": {
                                "enabled": true
                            }
                        }
                    }
                },
                "skipWebhooks": false,
                "forceWebhoooks": false,
                "support": {
                    "companyName": "",
                    "customerPhone": "122345667",
                    "customerEmail": ""
                }
            },
            "locked": false,
            "_id": "69033ec28ed4858946e8157e",
            "dateTimeWindows": [
                {
                    "date": 20251030
                }
            ],
            "items": [],
            "actions": [
                {
                    "type": 8,
                    "typeText": "customFieldsInput",
                    "required": true,
                    "state": 0,
                    "meta": {
                        "customDataFields": [
                            "Picked up a key",
                            "Return key"
                        ]
                    },
                    "issue": false,
                    "uid": "TA-VWTXVOLA"
                },
                {
                    "type": 4,
                    "typeText": "comment",
                    "required": true,
                    "state": 0,
                    "issue": true,
                    "uid": "TA-OFFI1AZD"
                },
                {
                    "type": 2,
                    "typeText": "signature",
                    "required": false,
                    "state": 0,
                    "issue": true,
                    "uid": "TA-VPOUBTHN"
                },
                {
                    "type": 3,
                    "typeText": "photo",
                    "required": false,
                    "state": 0,
                    "issue": true,
                    "uid": "TA-YO6RP1IA"
                }
            ],
            "actuals": {
                "created": 1761820354,
                "createdDate": 20251030,
                "createdISO": "2025-10-30T10:32:34.000Z"
            },
            "history": [
                {
                    "data": {
                        "state": 0,
                        "stateText": "Created"
                    },
                    "actor": {
                        "userId": "68ee300d3ab0ae43f77fcfb2",
                        "userLevel": "30",
                        "action": "Tasks.createMany"
                    },
                    "timestamp": "2025-10-30T10:32:34.996Z"
                }
            ],
            "createdAt": "2025-10-30T10:32:34.989Z",
            "updatedAt": "2025-10-30T10:32:34.989Z",
            "setupDuration": 10,
            "serviceDuration": 10,
            "inherited": {
                "teams": {
                    "zones": []
                },
                "tags": {
                    "zones": []
                },
                "skills": {
                    "zones": []
                },
                "capabilities": {
                    "zones": []
                }
            },
            "state": 0,
            "stateText": "Created",
            "stateTimestamp": 1761820354,
            "stateTimestamps": {
                "created": 1761820354,
                "createdISO": "2025-10-30T10:32:34.000Z"
            },
            "size": {
                "Containers": 0
            },
            "__v": 0
        },
        {
            "uid": "T-1KO18YRI",
            "organization": "63564f85c557c10012661e3e",
            "path": "63564f85c557c10012661e3e",
            "reference": "test",
            "type": 2,
            "date": 20251030,
            "allowedWeekDays": null,
            "pickup": {
                "location": {
                    "type": 2,
                    "address": "193-195 Sloane Street",
                    "addressLine2": "193-195 Sloane Street",
                    "postCode": "SW1X 9QX",
                    "city": "London",
                    "country": "England",
                    "setupDuration": 10,
                    "serviceDuration": 10,
                    "coordinates": [
                        -0.1596676,
                        51.5005214
                    ]
                },
                "setupDuration": 10,
                "serviceDuration": 10,
                "configuration": {
                    "actions": {
                        "actionList": [],
                        "failedActionList": [
                            {
                                "type": 4,
                                "typeText": "comment",
                                "required": true
                            },
                            {
                                "type": 2,
                                "typeText": "signature",
                                "required": false
                            },
                            {
                                "type": 3,
                                "typeText": "photo",
                                "required": false
                            }
                        ],
                        "identityCode": "3607"
                    }
                },
                "actions": [
                    {
                        "type": 4,
                        "typeText": "comment",
                        "required": true,
                        "state": 0,
                        "issue": true,
                        "uid": "TA-AOG0CGR4"
                    },
                    {
                        "type": 2,
                        "typeText": "signature",
                        "required": false,
                        "state": 0,
                        "issue": true,
                        "uid": "TA-SVICBNE5"
                    },
                    {
                        "type": 3,
                        "typeText": "photo",
                        "required": false,
                        "state": 0,
                        "issue": true,
                        "uid": "TA-J86971TF"
                    }
                ],
                "actuals": {
                    "created": 1761820355,
                    "createdDate": 20251030,
                    "createdISO": "2025-10-30T10:32:35.000Z"
                }
            },
            "location": {
                "type": 2,
                "typeText": "custom",
                "address": "Apt 4, Thomas Court, 8 Lipton Close, N14 5BY",
                "addressLine2": "8 Lipton Close",
                "postCode": "N14 5BY",
                "city": "London",
                "setupDuration": 10,
                "serviceDuration": 10,
                "coordinates": [
                    -0.12352,
                    51.63503
                ],
                "meta": {
                    "geocoding": {
                        "resultTitle": "8 St Thomas Road, London, N14 6AJ, United Kingdom",
                        "ambiguous": true
                    }
                }
            },
            "skills": [],
            "capabilities": [],
            "tags": [],
            "teams": [],
            "teamsExplicit": [],
            "zones": [],
            "assignment": {
                "state": 0
            },
            "configuration": {
                "actions": {
                    "identityCode": 5372,
                    "actionList": [
                        {
                            "type": 8,
                            "typeText": "customFieldsInput",
                            "required": true,
                            "meta": {
                                "customDataFields": [
                                    "Picked up a key",
                                    "Return key"
                                ]
                            }
                        }
                    ],
                    "failedActionList": [
                        {
                            "type": 4,
                            "typeText": "comment",
                            "required": true
                        },
                        {
                            "type": 2,
                            "typeText": "signature",
                            "required": false
                        },
                        {
                            "type": 3,
                            "typeText": "photo",
                            "required": false
                        }
                    ]
                },
                "issues": {
                    "contactSupport": {
                        "usePhone": true
                    },
                    "contactDirect": {
                        "callPickupContact": true,
                        "callDeliveryContact": true
                    },
                    "safePlace": {
                        "instructions": ""
                    },
                    "failTask": {
                        "pickup": true,
                        "delivery": true
                    },
                    "reattempts": {
                        "endOfRoute": true,
                        "timeWindows": true
                    }
                },
                "notifications": {
                    "delivery": {
                        "email": {
                            "scheduled": {
                                "enabled": true
                            },
                            "completed": {
                                "enabled": true
                            }
                        }
                    },
                    "pickup": {
                        "email": {
                            "created": {
                                "enabled": true
                            },
                            "scheduled": {
                                "enabled": true
                            },
                            "pickupFailed": {
                                "enabled": true
                            }
                        }
                    },
                    "depot": {
                        "email": {
                            "scheduled": {
                                "enabled": true
                            },
                            "pickupFailed": {
                                "enabled": true
                            },
                            "failed": {
                                "enabled": true
                            }
                        }
                    }
                },
                "skipWebhooks": false,
                "forceWebhoooks": false,
                "support": {
                    "companyName": "",
                    "customerPhone": "122345667",
                    "customerEmail": ""
                }
            },
            "locked": false,
            "_id": "69033ec38ed4858946e81583",
            "dateTimeWindows": [
                {
                    "date": 20251030
                }
            ],
            "items": [],
            "actions": [
                {
                    "type": 8,
                    "typeText": "customFieldsInput",
                    "required": true,
                    "state": 0,
                    "meta": {
                        "customDataFields": [
                            "Picked up a key",
                            "Return key"
                        ]
                    },
                    "issue": false,
                    "uid": "TA-XBZPS708"
                },
                {
                    "type": 4,
                    "typeText": "comment",
                    "required": true,
                    "state": 0,
                    "issue": true,
                    "uid": "TA-OUTE70J4"
                },
                {
                    "type": 2,
                    "typeText": "signature",
                    "required": false,
                    "state": 0,
                    "issue": true,
                    "uid": "TA-HRC776EK"
                },
                {
                    "type": 3,
                    "typeText": "photo",
                    "required": false,
                    "state": 0,
                    "issue": true,
                    "uid": "TA-SS102963"
                }
            ],
            "actuals": {
                "created": 1761820355,
                "createdDate": 20251030,
                "createdISO": "2025-10-30T10:32:35.000Z"
            },
            "history": [
                {
                    "data": {
                        "state": 0,
                        "stateText": "Created"
                    },
                    "actor": {
                        "userId": "68ee300d3ab0ae43f77fcfb2",
                        "userLevel": "30",
                        "action": "Tasks.createMany"
                    },
                    "timestamp": "2025-10-30T10:32:35.035Z"
                }
            ],
            "createdAt": "2025-10-30T10:32:35.028Z",
            "updatedAt": "2025-10-30T10:32:35.028Z",
            "setupDuration": 10,
            "serviceDuration": 10,
            "inherited": {
                "teams": {
                    "zones": []
                },
                "tags": {
                    "zones": []
                },
                "skills": {
                    "zones": []
                },
                "capabilities": {
                    "zones": []
                }
            },
            "state": 0,
            "stateText": "Created",
            "stateTimestamp": 1761820355,
            "stateTimestamps": {
                "created": 1761820355,
                "createdISO": "2025-10-30T10:32:35.000Z"
            },
            "size": {
                "Containers": 0
            },
            "__v": 0
        }
    ]
}
Modified at 2026-05-01 13:48:16
Previous
Get tasks
Next
Delete tasks
Built with